<ion-content>
    <ion-header>
        <ion-toolbar class="ion-toolbar__dashboard">
            <div
                class="ion-container-imagen__dashboard"
                (click)="openMenuDashboard()"
                id="dashboard-content"
                *ngIf="showMenu"
            >
                <img class="ion-toolbar-imagen__menu" src="../../assets/images/icon_menu.svg" alt="menu-dashboard">
            </div>
            <ion-title class="ion-toolbar-title__dashboard">Mis productos</ion-title>
        </ion-toolbar>
    </ion-header>
    <ion-content class="ion-content__dashboard">
        <div class="ion-container-content__dashboard">
            <div id="cuentas">
                <p class="ion-texto-cuentas__dashboard">
                    CUENTAS (2)
                </p>
                <ion-card *ngFor="let account of accountsProducts" class="ion-content-card__dashboard">
                    <ion-card-content>
                        <div class="ion-container-tipo-producto__dashboard">
                            <img src="../../assets/images/icon_account_gray.svg" alt="account-dashboard">
                            <p>
                                {{ account.alias }} - {{ getNumberAccount(account.number) }}
                            </p>
                        </div>
                        <div class="ion-container-saldo__dashboard">
                            <div class="ion-container-rd">
                                <p>RD$</p>
                                <p class="ion-cantidad-saldo"> {{ getNumberMount(account.availableAmount) }} </p>
                                <p>.00</p>
                            </div>
                            <p class="ion-texto-disponible__dashboard">
                                Balance disponible
                            </p>
                        </div>
                    </ion-card-content>
                </ion-card>
            </div>
            <div id="tarjetas">
                <p class="ion-texto-cuentas__dashboard ion-color-blue">
                    TARJETAS (2)
                </p>
                <ion-card *ngFor="let cart of creditCarts" class="ion-content-card__dashboard ion-credit-card">
                    <ion-card-content>
                        <div class="ion-container-tipo-producto__dashboard">
                            <img src="../../assets/images/icon_credit_card_gray.svg" alt="account-dashboard">
                            <p>
                                {{ cart.alias }} - {{ getNumberAccount(cart.number) }}
                            </p>
                        </div>
                        <div class="ion-container-saldo__dashboard">
                            <div class="ion-container-rd ion-container-rd__credit-cart">
                                <p>RD$</p>
                                <p class="ion-cantidad-saldo">
                                    {{ getNumberMount(cart.availableAmountRD) }}
                                </p>
                                <p>.00</p>
                            </div>
                            <div class="ion-container-rd ion-container-rd__credit-cart">
                                <p>US$</p>
                                <p class="ion-cantidad-saldo">
                                    {{ getNumberMount(cart.availableAmountUS) }}
                                </p>
                                <p>.00</p>
                            </div>
                            <p class="ion-texto-disponible__dashboard">
                                Balance disponible
                            </p>
                        </div>
                    </ion-card-content>
                </ion-card>
            </div>
        </div>
    </ion-content>
    <ion-menu
        side="start"
        content-id="dashboard-content"
        class="ion-menu-dashboard"
        (ionDidClose)="closeMenuDashboard()"
    >
        <ion-header>
            <ion-toolbar class="ion-toolbar__custom">
                <div class="ion-container-dashboard__header">
                    <img src={{userData.photo}} alt="foto de usuario">
                    <p> {{ userData.name }} {{ userData.lastName }} </p>
                </div>
            </ion-toolbar>
        </ion-header>
        <ion-content>
            <ion-list class="ion-list__custom">
                <div class="ion-container__item">
                    <img src="../../assets/images/icon_save_money_green.svg" alt="">
                    <p>Mis productos</p>
                </div>
                <div class="ion-container__item">
                    <img src="../../assets/images/icon_transactions_green.svg" alt="">
                    <p>Transacciones</p>
                </div>
                <div class="ion-container__item">
                    <img src="../../assets/images/icon_offers_green.svg" alt="">
                    <p>Ofertas</p>
                </div>
                <div class="ion-container__item">
                    <img src="../../assets/images/icon_config_green.svg" alt="">
                    <p>Configuración</p>
                </div>
            </ion-list>
            <div class="ion-divider__dashboard"></div>
            <ion-list class="ion-list__custom">
                <div class="ion-container__item">
                    <img src="../../assets/images/icon_contact.svg" alt="">
                    <p>Contacto</p>
                </div>
                <div class="ion-container__item">
                    <img src="../../assets/images/icon_branches.svg" alt="">
                    <p>Sucursales</p>
                </div>
            </ion-list>
        </ion-content>
        <div class="ion-container-cerrar-sesion">
            <button
                (click)="cerrarSesion()"
                class="ion-button-cerrar-sesion__dashboard"
            >
                CERRAR SESIÓN
            </button>
        </div>
    </ion-menu>
</ion-content>

